<?php

/**
 * Copyright Souke (2018)
 *
 * contact@souke.fr
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

use yii\helpers\Html;
use yii\grid\GridView;
use common\models\Development;
use common\models\DevelopmentPriority;
use common\models\ User;
use common\helpers\Url;
use common\helpers\GlobalParam;

$this->setTitle('Développement');
$this->addBreadcrumb($this->getTitle());

?>

<div class="development-index">
    <div class="container-fluidd">
        <div class="row">
            <div class="col-md-8">
                <div id="versions-list">
                    <?php foreach($versionsArray as $version): ?>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title">
                                    <?= $version['version'] ?>
                                </h3>
                            </div>
                            <div class="panel-body">
                                <?= $version['content'] ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
            <div class="col-md-4">
                <div id="panel-participate" class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Participer</h3>
                    </div>
                    <div class="panel-body">
                        <p>Le logiciel Opendistrib se construit pour et avec vous. Toutes vos remarques, suggestions et remontées
                            de bugs sont les bienvenues et forment le terreau des versions futures.</p>
                        <p>
                            <a class="btn btn-default" href="<?= $this->getUrlManagerBackend()->createUrl(['support/index']); ?>">
                                <span class="glyphicon glyphicon-comment"></span>
                                Me contacter
                            </a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
