<?php

/**
 * Copyright Souke (2018)
 *
 * contact@souke.fr
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

$this->setTitle("Utiliser Souke comme logiciel de gestion");
$this->setMeta('description', "Vous êtes producteur et souhaitez améliorer votre organisation ? Avez Souke, profitez d'un logiciel complet pour gérer la distribution de votre production en circuit court.");

$producerModule = $this->getProducerModule();

?>
<div class="site-iamproducer">
    <div class="panel panel-primary panel-padding-large">
        <!--<div class="panel-heading">
            <h2 class="panel-title">
                Vous avez besoin d'un outil pour vous organiser au quotidien ?
            </h2>
        </div>-->
        <div class="panel-body">
            <div class="hook">
                Vous êtes producteur et vous souhaitez améliorer votre organisation au quotidien ?<br />
                Avez <strong>Souke</strong>, profitez d'un logiciel de gestion simple et intuitif pour :<br />
                <div class="word-animate"><span class="functionality"></span></div>
            </div>
            <div class="links">
                <?= $this->render('_button_producer_signup'); ?>
                <a class="btn btn-secondary"
                   href="<?= \Yii::$app->urlManagerFrontend->createUrl(['site/service']); ?>">
                    <i class="bi bi-info-circle"></i> En savoir plus
                </a>
                <a class="btn btn-secondary" href="<?= \Yii::$app->parameterBag->get('appointmentUrl'); ?>" target="_blank">
                    <i class="bi bi-eye"></i> Je demande une démo
                </a>
                <?php if (Yii::$app->user->isGuest): ?>
                    <a class="btn btn-secondary"
                       href="<?= \Yii::$app->urlManagerFrontend->createUrl(['site/producer', 'id' => 32]); ?>">
                        <i class="bi bi-check2-square"></i> Je teste le logiciel
                    </a>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
